#mobile{
    width: 100%;
    overflow-x: hidden;
     .carousel-wrapper{
        aspect-ratio: 1920 / 1080;
    }
    .arrow-right{
        width: 30px;
        height: 30px;
        right: 20px;
    }
    .arrow-left{
        width: 30px;
        height: 30px;
        left: 20px;
    }
    .home-title{
        margin: 20px auto;
    }
    .nav-menu{
        display: none;
    }
    .mobile-nav{
        width: 40%;
        position: fixed;
        top: 40px;
        right: 40px;
        background: #fff;
        box-shadow: 0 0 10px rgba(0,0,0,.2);
        padding: 10px;
        border-radius: 6px;
    }
    .nav_btn{
        display: block;
    }
    .nav-open{
        display: block;
        transition: all .3s;
    }
    .nav-item{
        width: 100%;
        display: block;
    }
    #product-container{
        gap:6px
    }
    .regarding-wrapper{
        width: 100%;
        height: auto;
        flex-wrap: wrap;
    }
    .regarding-left{
        padding: 20px 20px 80px;
        height: auto;
    }
    .regarding-controls{
        bottom: 20px;
        left: 20px;
    }
    .events-nav-wrapper{
        width: 100%;
    }
    .event-tag{
        margin: 0 10px;
    }
    .events-content-wrapper{
        width: 100%;
    }
    .container{
        width: 100%;
        box-sizing: border-box;
    }
    .card img{
        width: 100%;
        height:  calc(100% * 216 / 288);
    }
    .events-right-text{
        padding: 20px;
    }
    .events-desc{
        height: 100%;
        overflow: scroll;
    }
    .footer-line{
        margin: 20px auto;
    }
    .site-footer{
        height: max-content;
    }
    .footer-bottom{
        margin-top: 20px;
    }
    .understand-banner{
        aspect-ratio: 1920 / 720;
    }
    .product-container{
        width: 100%;
        padding: 10px;
        box-sizing: border-box;
    }
    .product-grid{
       grid-template-columns: repeat(2, 1fr);
    }
    .product-card{
        width: 100%;
        height:auto;
        .card-img-wrapper{
            width: 100%;
            height: 100%;
        }
        .card-name{
            font-size: 12px;
        }
    }
    .modal-content{
        width: 90%;
        top: 5%;
        left: 5%;
        margin-left: 0px;
        margin-top: 0px;
        box-sizing: border-box;
    }
    .modal-body{
        flex-wrap: wrap;
        width: 100%;
        .modal-left{
            width: 100%;
        }
        .modal-left img{
            width: 100%;
            height: auto;
        }
    }
    .story-section{
        width: 100%;
        .story-text{
            left: 60px;
            top: 40px;
            width: calc(100% - 70px - 40px);
            max-height:calc( 100% - 170px);
        }
        .story-divider{
            left: 0px;
        }
        .story-prev{
            left: 10px;
        }
        .story-next{
            right: 10px;
        }
    }
    .news-container{
        width: 100%;
        padding: 10px;
        box-sizing: border-box;
        .news-content{
            height: auto;
            margin-left: 0px;
            padding:10px;
        }
    }
    .news-item{
        width: 100%;
        height: auto;
        flex-wrap: wrap;
        margin-bottom: 20px;
        .news-img-wrapper{
            width: 100%;
            height: auto;
        }
    }
    .back-to-top{
        right: 20px;
        bottom: 20px;
    }
    .icon-wrapper.active{
        .qr-popup{
            display: block;
            opacity: 1;
            visibility: visible;
            bottom: 30px; /* 轻微上浮动画效果 */
            transform: translateX(-100%);
        }
    }
    .regarding-right{
        padding: 20px;
        box-sizing: border-box;
    }
}